Package org.optaplanner.core.impl.constructionheuristic

## Class DefaultConstructionHeuristicPhaseFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.AbstractPhaseFactory<Solution_,​ConstructionHeuristicPhaseConfig>
  - - org.optaplanner.core.impl.constructionheuristic.DefaultConstructionHeuristicPhaseFactory<Solution_>

- All Implemented Interfaces:
    `PhaseFactory<Solution_>`

      public class DefaultConstructionHeuristicPhaseFactory<Solution_>
      extends AbstractPhaseFactory<Solution_,​ConstructionHeuristicPhaseConfig>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.AbstractPhaseFactory

      `phaseConfig`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultConstructionHeuristicPhaseFactory​(ConstructionHeuristicPhaseConfig phaseConfig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstructionHeuristicPhase<Solution_>` | `buildPhase​(int phaseIndex, HeuristicConfigPolicy<Solution_> solverConfigPolicy, BestSolutionRecaller<Solution_> bestSolutionRecaller, Termination<Solution_> solverTermination)` |

    - ### Methods inherited from class org.optaplanner.core.impl.phase.AbstractPhaseFactory

      `buildPhaseTermination`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultConstructionHeuristicPhaseFactory

          public DefaultConstructionHeuristicPhaseFactory​(ConstructionHeuristicPhaseConfig phaseConfig)

  - ### Method Detail

    - #### buildPhase

          public ConstructionHeuristicPhase<Solution_> buildPhase​(int phaseIndex,
                                                                  HeuristicConfigPolicy<Solution_> solverConfigPolicy,
                                                                  BestSolutionRecaller<Solution_> bestSolutionRecaller,
                                                                  Termination<Solution_> solverTermination)